Create Volume

⚠️ Private preview. Contact your Nasuni account team to request access.

Create a volume and return a tracking task and volume information.

SecurityHTTPBearer
Request
Request Body schema: application/json
required
appliance_serial
required
string <uuid> (Appliance Serial)
volume_name
required
string (Volume Name) [ 1 .. 25 ] characters
cloud_provider
required
string (NocCloudProvider)

Cloud provider identifier.

Enum: "amazons3" "amazons3gov" "azure" "google" "googles3" "atmos" "ironmountain" "rackspace" "nirvanix" "synaptic" "castor" "delldx" "cloudone" "hp" "cleversafe" "vipr" "ibmcos" "hcp" "s3_compatible"
Volume Region (string) or Volume Region (null) (Volume Region)
GoogleStorageClass (string) or null
credential_id
required
string <uuid> (Credential Id)
Encryption Key (string) or Encryption Key (null) (Encryption Key)

Existing encryption key to use. Mutually exclusive with encryption_key_name.

Encryption Key Name (string) or Encryption Key Name (null) (Encryption Key Name)

Name for a new encryption key to generate. Mutually exclusive with encryption_key.

protocol
required
string (VolumeCreateProtocol)
Enum: "smb" "nfs" "multiprotocol"
PermissionPolicy (string) or null
case_sensitive
boolean (Case Sensitive)
Default: true
create_default_share
boolean (Create Default Share)
Default: true

Create the default share (SMB) or export (NFS) for the new volume.

Responses
202

Volume creation accepted

400

Bad request

401

Not authenticated

403

Insufficient permissions

404

Resource not found

405

Operation is not supported

409

Resource state conflict

422

Invalid input data

500

Internal server error

503

Service temporarily unavailable

post/volumes
Request samples
application/json
{
  • "appliance_serial": "58daae54-0755-4166-ab50-0f2214836f15",
  • "volume_name": "string",
  • "cloud_provider": "amazons3",
  • "volume_region": "string",
  • "storage_class": "STANDARD",
  • "credential_id": "13c40afa-2996-4a0c-b2e9-68fba9462242",
  • "encryption_key": "string",
  • "encryption_key_name": "string",
  • "protocol": "smb",
  • "permissions_policy": "POSIX Mixed Mode",
  • "case_sensitive": true,
  • "create_default_share": true
}
Response samples
application/json
{
  • "task": {
    },
  • "volume": {
    }
}
Copyright © 2025 Nasuni Corporation. All rights reserved.